summaryrefslogtreecommitdiff
path: root/games-server/ut2004-ded/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /games-server/ut2004-ded/files
reinit the tree, so we can have metadata
Diffstat (limited to 'games-server/ut2004-ded/files')
-rw-r--r--games-server/ut2004-ded/files/ut2004-ded.confd9
-rw-r--r--games-server/ut2004-ded/files/ut2004-ded.initd25
2 files changed, 34 insertions, 0 deletions
diff --git a/games-server/ut2004-ded/files/ut2004-ded.confd b/games-server/ut2004-ded/files/ut2004-ded.confd
new file mode 100644
index 000000000000..a485b12d221e
--- /dev/null
+++ b/games-server/ut2004-ded/files/ut2004-ded.confd
@@ -0,0 +1,9 @@
+# User and group the server should run as
+ut2004_ded_user="@USER@"
+ut2004_ded_group="@GROUP@"
+
+# Directory to use for HOME
+ut2004_ded_home="@HOME@"
+
+# Any extra options you want to pass to the server
+ut2004_ded_opts="DM-Deck17"
diff --git a/games-server/ut2004-ded/files/ut2004-ded.initd b/games-server/ut2004-ded/files/ut2004-ded.initd
new file mode 100644
index 000000000000..fe323a9e00ee
--- /dev/null
+++ b/games-server/ut2004-ded/files/ut2004-ded.initd
@@ -0,0 +1,25 @@
+#!/sbin/openrc-run
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ut2004-ded"
+ start-stop-daemon --start --quiet --background --make-pidfile \
+ --pidfile /var/run/ut2004-ded.pid \
+ --chuid ${ut2004_ded_user}:${ut2004_ded_group} \
+ --env HOME="${ut2004_ded_home}" \
+ --exec "@DIR@/ut2004-ded" \
+ -- ${ut2004_ded_opts}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ut2004-ded"
+ start-stop-daemon --stop \
+ --pidfile /var/run/ut2004-ded.pid
+ eend $?
+}